> ## Documentation Index
> Fetch the complete documentation index at: https://api.lancepilot.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update User

> Update an existing user in the specified workspace.



## OpenAPI

````yaml POST /workspaces/{workspace}/users/{user}
openapi: 3.1.0
info:
  title: Lancepilot API
  description: API for Lancepilot
  version: 1.0.0
  license:
    name: MIT
servers:
  - url: https://lancepilot.com/api/v3
security:
  - bearerAuth: []
paths:
  /workspaces/{workspace}/users/{user}:
    post:
      tags:
        - Users
      summary: Update User in Workspace
      description: Update an existing user in the specified workspace.
      parameters:
        - name: workspace
          in: path
          description: ID of the workspace.
          required: true
          schema:
            type: string
            format: uuid
        - name: user
          in: path
          description: ID of the user.
          required: true
          schema:
            type: integer
      requestBody:
        required: true
        description: User update payload (multipart/form-data).
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                avatar:
                  type: string
                  nullable: true
                  format: binary
                  description: Image file (≤ 1MB).
                name:
                  type: string
                  maxLength: 50
                  description: Must pass 'valid_name'.
                email:
                  type: string
                  format: email
                  description: Must be unique.
                password:
                  type: string
                  minLength: 6
                  maxLength: 255
                  description: Optional. If provided, will update password.
                confirm_password:
                  type: string
                  description: Must match password if password is provided.
                timezone:
                  type: string
                  description: Must be a valid timezone.
                status:
                  type: boolean
                  description: ''
                client:
                  type: boolean
                  description: Required for partner workspace.
              required:
                - name
                - email
                - timezone
                - status
            encoding:
              avatar:
                contentType: image/*
      responses:
        '200':
          $ref: '#/components/responses/Update200'
        '401':
          $ref: '#/components/responses/401'
        '404':
          $ref: '#/components/responses/404'
        '422':
          $ref: '#/components/responses/422'
components:
  responses:
    '401':
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Unauthenticated.
            required:
              - message
    '404':
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Resource not found.
              status:
                type: integer
                example: 404
            required:
              - message
              - status
    '422':
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Validation error
              errors:
                type: object
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
    Update200:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: integer
                example: 200
              message:
                type: string
                example: Resource updated successfully.
              data:
                type: object
                description: Updated resource data.
            required:
              - status
              - message
              - data
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````